MemoryUserDatabaseMBean (Tomcat API Documentation)
Keywords: org.apache.catalina.mbeans.MemoryUserDatabaseMBean class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.mbeans
Class MemoryUserDatabaseMBean

    java.lang.Object
      org.apache.tomcat.util.modeler.BaseModelMBean
          org.apache.catalina.mbeans.MemoryUserDatabaseMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster

    public class MemoryUserDatabaseMBean

extends BaseModelMBean

A ModelMBean implementation for the `org.apache.catalina.users.MemoryUserDatabase` component.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan

Field Summary
`protected ManagedBean` | `managed` The `ManagedBean` information describing this MBean.
`protected ManagedBean` | `managedGroup` The `ManagedBean` information describing Group MBeans.
`protected ManagedBean` | `managedRole` The `ManagedBean` information describing Group MBeans.
`protected ManagedBean` | `managedUser` The `ManagedBean` information describing User MBeans.
`protected javax.management.MBeanServer` | `mserver` The `MBeanServer` in which we are registered.
`protected Registry` | `registry` The configuration information registry for our managed beans.

Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean
`attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

Constructor Summary
`MemoryUserDatabaseMBean()` Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Method Summary
`java.lang.String` | `createGroup(java.lang.String groupname, java.lang.String description)` Create a new Group and return the corresponding MBean Name.
`java.lang.String` | `createRole(java.lang.String rolename, java.lang.String description)` Create a new Role and return the corresponding MBean Name.
`java.lang.String` | `createUser(java.lang.String username, java.lang.String password, java.lang.String fullName)` Create a new User and return the corresponding MBean Name.
`java.lang.String` | `findGroup(java.lang.String groupname)` Return the MBean Name for the specified group name (if any); otherwise return `null`.
`java.lang.String` | `findRole(java.lang.String rolename)` Return the MBean Name for the specified role name (if any); otherwise return `null`.
`java.lang.String` | `findUser(java.lang.String username)` Return the MBean Name for the specified user name (if any); otherwise return `null`.
`java.lang.String[]` | `getGroups()` Return the MBean Names of all groups defined in this database.
`java.lang.String[]` | `getRoles()` Return the MBean Names of all roles defined in this database.
`java.lang.String[]` | `getUsers()` Return the MBean Names of all users defined in this database.
`void` | `removeGroup(java.lang.String groupname)` Remove an existing group and destroy the corresponding MBean.
`void` | `removeRole(java.lang.String rolename)` Remove an existing role and destroy the corresponding MBean.
`void` | `removeUser(java.lang.String username)` Remove an existing user and destroy the corresponding MBean.

Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean
`addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### registry

    protected Registry registry

  The configuration information registry for our managed beans.

### mserver

    protected javax.management.MBeanServer mserver

  The `MBeanServer` in which we are registered.

### managed

    protected ManagedBean managed

  The `ManagedBean` information describing this MBean.

### managedGroup

    protected ManagedBean managedGroup

  The `ManagedBean` information describing Group MBeans.

### managedRole

    protected ManagedBean managedRole

  The `ManagedBean` information describing Group MBeans.

### managedUser

    protected ManagedBean managedUser

  The `ManagedBean` information describing User MBeans.

Constructor Detail

### MemoryUserDatabaseMBean

    public MemoryUserDatabaseMBean()
                            throws javax.management.MBeanException,
                                   javax.management.RuntimeOperationsException

  Construct a `ModelMBean` with default `ModelMBeanInfo` information.

  Throws:
    `javax.management.MBeanException` - if the initializer of an object throws an exception
    `javax.management.RuntimeOperationsException` - if an IllegalArgumentException occurs

Method Detail

### getGroups

    public java.lang.String[] getGroups()

  Return the MBean Names of all groups defined in this database.

### getRoles

    public java.lang.String[] getRoles()

  Return the MBean Names of all roles defined in this database.

### getUsers

    public java.lang.String[] getUsers()

  Return the MBean Names of all users defined in this database.

### createGroup

    public java.lang.String createGroup(java.lang.String groupname,
                                        java.lang.String description)

  Create a new Group and return the corresponding MBean Name.

  Parameters:
    `groupname` - Group name of the new group
    `description` - Description of the new group

### createRole

    public java.lang.String createRole(java.lang.String rolename,
                                       java.lang.String description)

  Create a new Role and return the corresponding MBean Name.

  Parameters:
    `rolename` - Group name of the new group
    `description` - Description of the new group

### createUser

    public java.lang.String createUser(java.lang.String username,
                                       java.lang.String password,
                                       java.lang.String fullName)

  Create a new User and return the corresponding MBean Name.

  Parameters:
    `username` - User name of the new user
    `password` - Password for the new user
    `fullName` - Full name for the new user

### findGroup

    public java.lang.String findGroup(java.lang.String groupname)

  Return the MBean Name for the specified group name (if any); otherwise return `null`.

  Parameters:
    `groupname` - Group name to look up

### findRole

    public java.lang.String findRole(java.lang.String rolename)

  Return the MBean Name for the specified role name (if any); otherwise return `null`.

  Parameters:
    `rolename` - Role name to look up

### findUser

    public java.lang.String findUser(java.lang.String username)

  Return the MBean Name for the specified user name (if any); otherwise return `null`.

  Parameters:
    `username` - User name to look up

### removeGroup

    public void removeGroup(java.lang.String groupname)

  Remove an existing group and destroy the corresponding MBean.

  Parameters:
    `groupname` - Group name to remove

### removeRole

    public void removeRole(java.lang.String rolename)

  Remove an existing role and destroy the corresponding MBean.

  Parameters:
    `rolename` - Role name to remove

### removeUser

    public void removeUser(java.lang.String username)

  Remove an existing user and destroy the corresponding MBean.

  Parameters:
    `username` - User name to remove

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.